> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-tool-coverage.md).

# appToolCoverage

Represents coverage information for a security tool in an application.

### Examples

```graphql
type AppToolCoverage {
  toolName: String
  oxDelivered: Boolean
  coverage: Boolean
  type: String
  sources: [ToolCoverageSources]
}
```

### Fields

| Field                                                                                                                       | Description                                                 | Supported fields                                             |
| --------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------- | ------------------------------------------------------------ |
| toolName `String`                                                                                                           | The name of the security tool                               |                                                              |
| oxDelivered `Boolean`                                                                                                       | Indicates whether the tool is delivered by Ox               |                                                              |
| coverage `Boolean`                                                                                                          | Indicates whether the tool has coverage for the application |                                                              |
| type `String`                                                                                                               | The type of tool coverage                                   |                                                              |
| sources [`[ToolCoverageSources]`](/api-documentation/api-reference/api--application/types/objects/tool-coverage-sources.md) | The sources that contributed to the tool's coverage         | <p>match <code>String</code><br>type <code>String</code></p> |

### References

#### Fields with this object:

* [{} Application.toolsCoverage](/api-documentation/api-reference/api--application/types/objects/application.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-tool-coverage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
